/**
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

import { request } from '../index'

// 计算前置接口
const Init = (data) => {
    return request({
        url : 'init',
		data: data
    })
}


// 开始计算
const Debt = (data) => {
    return request({
        url : 'debt',
		method: 'POST',
		data: data
    })
}

// 完善用户信息
const Info = (data) => {
    return request({
        url : 'userinfo',
		method: 'POST',
		data: data
    })
}

// 查看结果
const Lists = (data) => {
    return request({
        url : 'lists',
		data: data
    })
}

// 客户管理
const Clients = (data) => {
    return request({
        url : 'clients',
		data: data
    })
}

// 删除结果
const logDel = (log_id) => {
    return request({
        url : 'debt/' + log_id,
		method: 'DELETE'
    })
}


// 测试获取第一个用户的token
const userTest = () => {
    return request({
        url : 'user/auth/official/test',
		method: 'POST'
    })
}


export {
	Init,
	Debt,
	Info,
	Lists,
	Clients,
	logDel,
	userTest
}
